-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class CppSettings

Declaration :

- C++ : class CppSettings : public UmlSettings
- Java : final class CppSettings extends UmlSettings

This class manages settings concerning C++, configured through the 'Generation settings' dialog. This class may be defined as a 'singleton', but I prefer to use static members allowing to just write 'CppSettings::member' rather than 'CppSettings::instance()->member' or other long sentence like this.

Artifact : CppSettings

Operation useDefaults

Declaration :

- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

returns TRUE when the created C++ objects are initialized with the default declaration/definition

Operation set_UseDefaults

Declaration :

- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

if y is TRUE the future created C++ objects will be initialized with the default declaration/definition On error : return FALSE in C++, produce a RuntimeException in Java

Operation type

Declaration :

- C++ : public: static QCString type(QCString s)
- Java : public static String type(String s)

returns the C++ type corresponding to the 'UML' type given in argument, as it is configured in the first 'Generation settings' dialog's tab

Operation set_Type

Declaration :

- C++ : public: static bool set_Type(QCString s, QCString v)
- Java : public static void set_Type(String s, String v) throws RuntimeException

set the C++ type corresponding to the 'UML' type given in argument, as it is configured in the first 'Generation settings' dialog's tab On error : return FALSE in C++, produce a RuntimeException in Java

Operation umlType

Declaration :

- C++ : public: static QCString umlType(QCString s)
- Java : public static String umlType(String s)

reverse of the Type() operation, returns the 'UML' type corresponding to the C++ type given in argument

Operation relationStereotype

Declaration :

- C++ : public: static QCString relationStereotype(QCString s)
- Java : public static String relationStereotype(String s)

returns the C++ stereotype corresponding to the 'UML' stereotype given in argument

Operation set_RelationStereotype

Declaration :

- C++ : public: static bool set_RelationStereotype(QCString s, QCString v)
- Java : public static void set_RelationStereotype(String s, String v) throws RuntimeException

set the C++ stereotype corresponding to the 'UML' stereotype given in argument On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationUmlStereotype

Declaration :

- C++ : public: static QCString relationUmlStereotype(QCString s)
- Java : public static String relationUmlStereotype(String s)

reverse of the RelationStereotype() operation, returns the 'UML' stereotype corresponding to the C++ one given in argument

Operation classStereotype

Declaration :

- C++ : public: static QCString classStereotype(QCString s)
- Java : public static String classStereotype(String s)

returns the C++ stereotype corresponding to the 'UML' stereotype given in argument

Operation set_ClassStereotype

Declaration :

- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

set the C++ stereotype corresponding to the 'UML' stereotype given in argument On error : return FALSE in C++, produce a RuntimeException in Java

Operation classUmlStereotype

Declaration :

- C++ : public: static QCString classUmlStereotype(QCString s)
- Java : public static String classUmlStereotype(String s)

reverse of the ClassStereotype() operation, returns the 'UML' stereotype corresponding to the C++ one given in argument

Operation include

Declaration :

- C++ : public: static QCString include(QCString s)
- Java : public static String include(String s)

returns the #include or other form specified in the last 'Generation settings' tab for the C++ type given in argument.

Operation set_Include

Declaration :

- C++ : public: static bool set_Include(QCString s, QCString v)
- Java : public static void set_Include(String s, String v) throws RuntimeException

set the #include or other form specified in the last 'Generation settings' tab for the C++ type given in argument. On error : return FALSE in C++, produce a RuntimeException in Java

Operation rootDir

Declaration :

- C++ : public: static QCString rootDir()
- Java : public static String rootDir()

returns the 'root' directory

Operation set_RootDir

Declaration :

- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

set the 'root' directory On error : return FALSE in C++, produce a RuntimeException in Java

Operation headerContent

Declaration :

- C++ : public: static QCString headerContent()
- Java : public static String headerContent()

returns the default header file content

Operation set_HeaderContent

Declaration :

- C++ : public: static bool set_HeaderContent(QCString v)
- Java : public static void set_HeaderContent(String v) throws RuntimeException

set the default header file content On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceContent

Declaration :

- C++ : public: static QCString sourceContent()
- Java : public static String sourceContent()

returns the default source file content

Operation set_SourceContent

Declaration :

- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

set the default source file content On error : return FALSE in C++, produce a RuntimeException in Java

Operation headerExtension

Declaration :

- C++ : public: static QCString headerExtension()
- Java : public static String headerExtension()

returns the extension of the header files produced by the C++ code generator

Operation set_HeaderExtension

Declaration :

- C++ : public: static bool set_HeaderExtension(QCString v)
- Java : public static void set_HeaderExtension(String v) throws RuntimeException

set the extension of the header files produced by the C++ code generator On error : return FALSE in C++, produce a RuntimeException in Java

Operation sourceExtension

Declaration :

- C++ : public: static QCString sourceExtension()
- Java : public static String sourceExtension()

returns the extension of the source files produced by the C++ code generator

Operation set_SourceExtension

Declaration :

- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

set the extension of the source files produced by the C++ code generator On error : return FALSE in C++, produce a RuntimeException in Java

Operation includeWithPath

Declaration :

- C++ : public: static bool includeWithPath()
- Java : public static boolean includeWithPath()

indicates to the code generator if the #include may specify the path of just the file's name

Operation set_IncludeWithPath

Declaration :

- C++ : public: static bool set_IncludeWithPath(bool v)
- Java : public static void set_IncludeWithPath(boolean v) throws RuntimeException

to indicates to the code generator if the #include may specify the path of just the file's name On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumIn

Declaration :

- C++ : public: static const QCString & enumIn()
- Java : public static String enumIn()

returns the default operation 'in' parameter specification in case its type is an enum

Operation set_EnumIn

Declaration :

- C++ : public: static bool set_EnumIn(QCString v)
- Java : public static void set_EnumIn(String v) throws RuntimeException

set the default operation 'in' parameter specification in case its type is an enum On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumOut

Declaration :

- C++ : public: static const QCString & enumOut()
- Java : public static String enumOut()

returns the default operation 'out' parameter specification in case its type is an enum

Operation set_EnumOut

Declaration :

- C++ : public: static bool set_EnumOut(QCString v)
- Java : public static void set_EnumOut(String v) throws RuntimeException

set the default operation 'out' parameter specification in case its type is an enum On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumInout

Declaration :

- C++ : public: static const QCString & enumInout()
- Java : public static String enumInout()

returns the default operation 'inout' parameter specification in case its type is an enum

Operation set_EnumInout

Declaration :

- C++ : public: static bool set_EnumInout(QCString v)
- Java : public static void set_EnumInout(String v) throws RuntimeException

set the default operation 'inout' parameter specification in case its type is an enum On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumReturn

Declaration :

- C++ : public: static QCString enumReturn()
- Java : public static String enumReturn()

return the default operation value type form

Operation set_EnumReturn

Declaration :

- C++ : public: static bool set_EnumReturn(QCString v)
- Java : public static void set_EnumReturn(String v)

set the default operation value type form On error : return FALSE in C++, produce a RuntimeException in Java

Operation in

Declaration :

- C++ : public: static const QCString & in()
- Java : public static String in()

returns the default operation 'in' parameter specification in case its type is not an enum or a type specified in the first 'Generation settings' tab

Operation set_In

Declaration :

- C++ : public: static bool set_In(QCString v)
- Java : public static void set_In(String v) throws RuntimeException

set the default operation 'in' parameter specification in case its type is not an enum or a type specified in the first 'Generation settings' tab On error : return FALSE in C++, produce a RuntimeException in Java

Operation out

Declaration :

- C++ : public: static const QCString & out()
- Java : public static String out()

returns the default operation 'out' parameter specification in case its type is not an enum or a type specified in the first 'Generation settings' tab

Operation set_Out

Declaration :

- C++ : public: static bool set_Out(QCString v)
- Java : public static void set_Out(String v) throws RuntimeException

set the default operation 'out' parameter specification in case its type is not an enum or a type specified in the first 'Generation settings' tab On error : return FALSE in C++, produce a RuntimeException in Java

Operation inout

Declaration :

- C++ : public: static const QCString & inout()
- Java : public static String inout()

returns the default operation 'inout' parameter specification in case its type is not an enum or a type specified in the first 'Generation settings' tab

Operation set_Inout

Declaration :

- C++ : public: static bool set_Inout(QCString v)
- Java : public static void set_Inout(String v) throws RuntimeException

set the default operation 'inout' parameter specification in case its type is not an enum or a type specified in the first 'Generation settings' tab On error : return FALSE in C++, produce a RuntimeException in Java

Operation Return

Declaration :

- C++ : public: static QCString Return()
- Java : public static String Return()

return the default operation value type form

Operation set_Return

Declaration :

- C++ : public: static bool set_Return(QCString v)
- Java : public static void set_Return(String v)

set the default operation value type form On error : return FALSE in C++, produce a RuntimeException in Java

Operation classDecl

Declaration :

- C++ : public: static const QCString & classDecl()
- Java : public static String classDecl()

returns the default definition of a class

Operation set_ClassDecl

Declaration :

- C++ : public: static bool set_ClassDecl(QCString v)
- Java : public static void set_ClassDecl(String v) throws RuntimeException

set the default definition of a class On error : return FALSE in C++, produce a RuntimeException in Java

Operation externalClassDecl

Declaration :

- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

returns the default specification for an 'external' class

Operation set_ExternalClassDecl

Declaration :

- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

set the default specification for an 'external' class On error : return FALSE in C++, produce a RuntimeException in Java

Operation structDecl

Declaration :

- C++ : public: static const QCString & structDecl()
- Java : public static String structDecl()

returns the default definition of a struct

Operation set_StructDecl

Declaration :

- C++ : public: static bool set_StructDecl(QCString v)
- Java : public static void set_StructDecl(String v) throws RuntimeException

set the default definition of a struct On error : return FALSE in C++, produce a RuntimeException in Java

Operation unionDecl

Declaration :

- C++ : public: static const QCString & unionDecl()
- Java : public static String unionDecl()

returns the default definition of an union

Operation set_UnionDecl

Declaration :

- C++ : public: static bool set_UnionDecl(QCString v)
- Java : public static void set_UnionDecl(String v) throws RuntimeException

set the default definition of an union On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumDecl

Declaration :

- C++ : public: static const QCString & enumDecl()
- Java : public static String enumDecl()

returns the default definition of an enum

Operation set_EnumDecl

Declaration :

- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

set the default definition of an enum On error : return FALSE in C++, produce a RuntimeException in Java

Operation typedefDecl

Declaration :

- C++ : public: static const QCString & typedefDecl()
- Java : public static String typedefDecl()

returns the default definition of a typedef

Operation set_TypedefDecl

Declaration :

- C++ : public: static bool set_TypedefDecl(QCString v)
- Java : public static void set_TypedefDecl(String v) throws RuntimeException

set the default definition of a typedef On error : return FALSE in C++, produce a RuntimeException in Java

Operation attributeDecl

Declaration :

- C++ : public: static const QCString & attributeDecl()
- Java : public static String attributeDecl()

returns the default definition of an attribute

Operation set_AttributeDecl

Declaration :

- C++ : public: static bool set_AttributeDecl(QCString v)
- Java : public static void set_AttributeDecl(String v) throws RuntimeException

set the default definition of an attribute On error : return FALSE in C++, produce a RuntimeException in Java

Operation enumItemDecl

Declaration :

- C++ : public: static const QCString & enumItemDecl()
- Java : public static String enumItemDecl()

returns the default definition of an enumeration item

Operation set_EnumItemDecl

Declaration :

- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

set the default definition of an enumeration item On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationDecl

Declaration :

- C++ : public: static const QCString & relationDecl(bool by_value, const char * multiplicity)
- Java : public static String relationDecl(boolean by_value, String multiplicity)

returns the default definition of a relation depending on it is an aggregation by value or not and the multiplicity, given in argument.

Operation set_RelationDecl

Declaration :

- C++ : public: static bool set_RelationDecl(bool by_value, const char * multiplicity, const char * v)
- Java : public static void set_RelationDecl(boolean by_value, String multiplicity, String v) throws RuntimeException

set the default definition of a relation depending on it is an aggregation by value or not and the multiplicity, given in argument. On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationDecl

Declaration :

- C++ : public: static const QCString & operationDecl()
- Java : public static String operationDecl()

returns the default declaration of an operation

Operation set_OperationDecl

Declaration :

- C++ : public: static bool set_OperationDecl(QCString v)
- Java : public static void set_OperationDecl(String v) throws RuntimeException

set the default declaration of an operation On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationDef

Declaration :

- C++ : public: static const QCString & operationDef()
- Java : public static String operationDef()

returns the default definition of an operation

Operation set_OperationDef

Declaration :

- C++ : public: static bool set_OperationDef(QCString v)
- Java : public static void set_OperationDef(String v) throws RuntimeException

set the default definition of an operation On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationForceThrow

Declaration :

- C++ : public: static bool operationForceThrow()
- Java : public static boolean operationForceThrow()

return TRUE if the operations profile must contain 'throw()' when the operations does not have exception

Operation set_OperationForceThrow

Declaration :

- C++ : public: static bool set_OperationForceThrow(bool v)
- Java : public static void set_OperationForceThrow(boolean v) throws RuntimeException

set if the operations profile must contain 'throw()' when the operations does not have exception On error : return FALSE in C++, produce a RuntimeException in Java

Operation getVisibility

Declaration :

- C++ : public: static aVisibility getVisibility()
- Java : public static aVisibility getVisibility()

returns the default visibility of a 'get' operation generated through the attribute and relation 'add get operation' menu

Operation set_GetVisibility

Declaration :

- C++ : public: static bool set_GetVisibility(aVisibility v)
- Java : public static void set_GetVisibility(aVisibility v) throws RuntimeException

set the default visibility of a 'get' operation generated through the attribute and relation 'add get operation' menu On error : return FALSE in C++, produce a RuntimeException in Java

Operation getName

Declaration :

- C++ : public: static const QCString & getName()
- Java : public static String getName()

returns the default name of a 'get' operation generated through the attribute and relation 'add get operation' menu

Operation set_GetName

Declaration :

- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

set the default name of a 'get' operation generated through the attribute and relation 'add get operation' menu On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGetInline

Declaration :

- C++ : public: static bool isGetInline()
- Java : public static boolean isGetInline()

returns if a 'get' operation generated through the attribute and relation 'add get operation' menu is inline by default

Operation set_IsGetInline

Declaration :

- C++ : public: static bool set_IsGetInline(bool v)
- Java : public static void set_IsGetInline(boolean v) throws RuntimeException

set if a 'get' operation generated through the attribute and relation 'add get operation' menu is inline by default On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGetConst

Declaration :

- C++ : public: static bool isGetConst()
- Java : public static boolean isGetConst()

returns if a 'get' operation generated through the attribute and relation 'add get operation' menu is const by default

Operation set_IsGetConst

Declaration :

- C++ : public: static bool set_IsGetConst(bool v)
- Java : public static void set_IsGetConst(boolean v) throws RuntimeException

set if a 'get' operation generated through the attribute and relation 'add get operation' menu is const by default On error : return FALSE in C++, produce a RuntimeException in Java

Operation isGetValueConst

Declaration :

- C++ : public: static bool isGetValueConst()
- Java : public static boolean isGetValueConst()

returns if the value returned by a 'get' operation generated through the attribute and relation 'add get operation' menu is const by default

Operation set_IsGetValueConst

Declaration :

- C++ : public: static bool set_IsGetValueConst(bool v)
- Java : public static void set_IsGetValueConst(boolean v) throws RuntimeException

set if the value returned by a 'get' operation generated through the attribute and relation 'add get operation' menu is const by default On error : return FALSE in C++, produce a RuntimeException in Java

Operation setVisibility

Declaration :

- C++ : public: static aVisibility setVisibility()
- Java : public static aVisibility setVisibility()

returns the default visibility of a 'set' operation generated through the attribute and relation 'add set operation' menu

Operation set_SetVisibility

Declaration :

- C++ : public: static bool set_SetVisibility(aVisibility v)
- Java : public static void set_SetVisibility(aVisibility v) throws RuntimeException

set the default visibility of a 'set' operation generated through the attribute and relation 'add set operation' menu On error : return FALSE in C++, produce a RuntimeException in Java

Operation setName

Declaration :

- C++ : public: static const QCString & setName()
- Java : public static String setName()

returns the default name of a 'set' operation generated through the attribute and relation 'add set operation' menu

Operation set_SetName

Declaration :

- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

set the default name of a 'set' operation generated through the attribute and relation 'add set operation' menu On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetInline

Declaration :

- C++ : public: static bool isSetInline()
- Java : public static boolean isSetInline()

returns if a 'set' operation generated through the attribute and relation 'add set operation' menu is inline by default

Operation set_IsSetInline

Declaration :

- C++ : public: static bool set_IsSetInline(bool v)
- Java : public static void set_IsSetInline(boolean v) throws RuntimeException

set if a 'set' operation generated through the attribute and relation 'add set operation' menu is inline by default On error : return FALSE in C++, produce a RuntimeException in Java

Operation isSetParamConst

Declaration :

- C++ : public: static bool isSetParamConst()
- Java : public static boolean isSetParamConst()

returns if the parameters of a 'set' operation generated through the attribute and relation 'add set operation' menu are const by default

Operation set_IsSetParamConst

Declaration :

- C++ : public: static bool set_IsSetParamConst(bool v)
- Java : public static void set_IsSetParamConst(boolean v) throws RuntimeException

set if the parameters of a 'set' operation generated through the attribute and relation 'add set operation' menu are const by default On error : return FALSE in C++, produce a RuntimeException in Java

Operation CppSettings

Declaration :

- C++ : private: CppSettings()
- Java : private CppSettings()

never called !

Attribut _defined

Declaration :

- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribut _root

Declaration :

- C++ : private: static QCString _root
- Java : private static String _root

Attribut _in

Declaration :

- C++ : private: static QCString _in
- Java : private static String _in

Attribut _out

Declaration :

- C++ : private: static QCString _out
- Java : private static String _out

Attribut _inout

Declaration :

- C++ : private: static QCString _inout
- Java : private static String _inout

Attribut _return

Declaration :

- C++ : private: static QCString _return
- Java : private static String _return

Attribut _enum_in

Declaration :

- C++ : private: static QCString _enum_in
- Java : private static String _enum_in

Attribut _enum_out

Declaration :

- C++ : private: static QCString _enum_out
- Java : private static String _enum_out

Attribut _enum_inout

Declaration :

- C++ : private: static QCString _enum_inout
- Java : private static String _enum_inout

Attribut _enum_return

Declaration :

- C++ : private: static QCString _enum_return
- Java : private static String _enum_return

Attribut _class_decl

Declaration :

- C++ : private: static QCString _class_decl
- Java : private static String _class_decl

Attribut _external_class_decl

Declaration :

- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribut _struct_decl

Declaration :

- C++ : private: static QCString _struct_decl
- Java : private static String _struct_decl

Attribut _union_decl

Declaration :

- C++ : private: static QCString _union_decl
- Java : private static String _union_decl

Attribut _enum_decl

Declaration :

- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribut _typedef_decl

Declaration :

- C++ : private: static QCString _typedef_decl
- Java : private static String _typedef_decl

Attribut _attr_decl

Declaration :

- C++ : private: static QCString _attr_decl
- Java : private static String _attr_decl

Attribut _enum_item_decl

Declaration :

- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribut _rel_decl

Declaration :

- C++ : private: static QCString _rel_decl[2/*relation kind*/][3/*multiplicity*/]
- Java : private static String[][] _rel_decl

Attribut _oper_decl

Declaration :

- C++ : private: static QCString _oper_decl
- Java : private static String _oper_decl

Attribut _oper_def

Declaration :

- C++ : private: static QCString _oper_def
- Java : private static String _oper_def

Attribut _force_oper_throw

Declaration :

- C++ : private: static bool _force_oper_throw
- Java : private static boolean _force_oper_throw

Relation _get_visibility (<directional aggregation by value>)

Declaration :

- C++ : private: static aVisibility _get_visibility
- Java : private static aVisibility _get_visibility

Attribut _get_name

Declaration :

- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribut _is_get_inline

Declaration :

- C++ : private: static bool _is_get_inline
- Java : private static boolean _is_get_inline

Attribut _is_get_const

Declaration :

- C++ : private: static bool _is_get_const
- Java : private static boolean _is_get_const

Attribut _is_get_value_const

Declaration :

- C++ : private: static bool _is_get_value_const
- Java : private static boolean _is_get_value_const

Relation _set_visibility (<directional aggregation by value>)

Declaration :

- C++ : private: static aVisibility _set_visibility
- Java : private static aVisibility _set_visibility

Attribut _set_name

Declaration :

- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribut _is_set_inline

Declaration :

- C++ : private: static bool _is_set_inline
- Java : private static boolean _is_set_inline

Attribut _is_set_param_const

Declaration :

- C++ : private: static bool _is_set_param_const
- Java : private static boolean _is_set_param_const

Attribut _h_content

Declaration :

- C++ : private: static QCString _h_content
- Java : private static String _h_content

Attribut _src_content

Declaration :

- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribut _h_ext

Declaration :

- C++ : private: static QCString _h_ext
- Java : private static String _h_ext

Attribut _src_ext

Declaration :

- C++ : private: static QCString _src_ext
- Java : private static String _src_ext

Attribut _incl_with_path

Declaration :

- C++ : private: static bool _incl_with_path
- Java : private static boolean _incl_with_path

Attribut _map_includes

Declaration :

- C++ : private: static QDict<QCString> _map_includes
- Java : private static Hashtable _map_includes

Operation read_

Declaration :

- C++ : protected: static void read_()
- Java : protected static void read_()

internal, do NOT use it

Operation read_if_needed_

Declaration :

- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

internal, do NOT use it

All public operations :

artifactDescription , attributeDecl , attributeDescription , classDecl , classDescription , classStereotype , classUmlStereotype , enumDecl , enumIn , enumInout , enumItemDecl , enumOut , enumReturn , externalClassDecl , getName , getVisibility , headerContent , headerExtension , in , include , includeWithPath , inout , isGetConst , isGetInline , isGetValueConst , isSetInline , isSetParamConst , operationDecl , operationDef , operationDescription , operationForceThrow , out , relationDecl , relationDescription , relationStereotype , relationUmlStereotype , Return , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_ClassDecl , set_ClassDescription , set_ClassStereotype , set_EnumDecl , set_EnumIn , set_EnumInout , set_EnumItemDecl , set_EnumOut , set_EnumReturn , set_ExternalClassDecl , set_GetName , set_GetVisibility , set_HeaderContent , set_HeaderExtension , set_In , set_Include , set_IncludeWithPath , set_Inout , set_IsGetConst , set_IsGetInline , set_IsGetValueConst , set_IsSetInline , set_IsSetParamConst , set_OperationDecl , set_OperationDef , set_OperationDescription , set_OperationForceThrow , set_Out , set_RelationDecl , set_RelationDescription , set_RelationStereotype , set_Return , set_RootDir , set_SetName , set_SetVisibility , set_SourceContent , set_SourceExtension , set_StructDecl , set_Type , set_TypedefDecl , set_UnionDecl , set_UseDefaults , setName , setVisibility , sourceContent , sourceExtension , structDecl , type , typedefDecl , umlType , unionDecl , useDefaults